public class oda
{
// işaret kodları
// DD Dış duvar
// ID iç duvar
// DO Döşeme
// TA Tavan
// BDD Bitişik dış duvar
// Yön
// K Kuzey
// G Güney
// D Doğu
// B Batı
// KD Kuzey doğu
// KB Kuzey batı
// GD Güney doğu
// GB Güney batı
// ********** Kapı tipleri **********
// 0 basit tek camlı pencere ve ahşap dış kapı",
// 1 Özel birleştirilmiş çift camlı pencere (ÇCP) ve ahşap dış kapı(DK) iki cam arası 6 mm",
// 2 Özel birleştirilmiş çift camlı pencere (ÇCP) ve ahşap dış kapı(DK) iki cam arası 12 mm",
// 3 Camsız ahşap dış kapı (DK)",
// 4 bitişik çift kanatlı pencere (ÇP) ve ahşap dış kapı (DK)",
// 5 kasalı çift kanatlı pencere (ÇP) ve ahşap dış kapı",
// 6 basit tek camlı pencere(TP) ve metal dış kapı (DK)",
// 7 Özel birleştirilmiş çift camlı pencere (ÇCP) ve metal dış kapı(DK) iki cam arası 6 mm",
// 8 Özel birleştirilmiş çift camlı pencere (ÇCP) ve metal dış kapı(DK) iki cam arası 12 mm",
// 9 bitişik çift kanatlı pencere (ÇP) ve ahşap dış kapı (DK)",
// 10 kasalı çift kanatlı pencere (ÇP) ve metal dış kapı",
// 11 tepe penceresi-kapısı (basit) metal",
// 12 tepe penceresi-kapısı (çift) metal ",
// 13 basit tek camlı pencereli dış kapı plastik ",
// 14 özel birleştirilmiş çift camlı pencereli plastik"
// ********* Pencere tipleri ***********
//Pencere tipi (String tip değişken) 
// TP    0 tek camlı pencere
// ÇCP   1 çift camlı pencere (kaplamasız cam)
// ÇCPLE 2 çift camlı pencere (low-e kaplamalı)
//Doğrama tipi (int değişken)
// 0 doğramasız
// 1 ahşap doğrama (meşe, dişbudak/sert ağaçlar)
// 2 ahşap doğrama (iğne yapraklı yumuşak ağaçlar)
// 3 plastik doğrama (2 odacıklı)
// 4 plastik doğrama (3 odacıklı)
// 5 aliminyum doğrama
// 6 aliminyum doğrama (yalıtım köprülü) 
public  duvar duv[];
public  pencere pen[];
public  kapi kap[];

public oda()
{duv=new duvar[100];
 pen=new pencere[100];
 kap=new kapi[15];
 // Duvar 0
 // 0.02 m iç sıva
 // 0.19 m yatay delikli tuğla
 // 0.04 m ekstrde polistren levha 
 // 0.03 m dış sıva
 String d[]={"4.1.1","7.1.5.5","10.3.3.1.2","4.1.3"};
 double L[]={0.02,0.19,0.04,0.03};
 duv[0]=new duvar("DD",d,L,"K");
 // Duvar 1
 // 0.02 m iç sıva  
 // 0.2 m donatılı beton
 // 0.04 m ekstrude polistren levha
 // 0.03 m dış sıva
 String d1[]={"4.1.1","5.1.1","10.3.3.1.2","4.1.3"};
 double L1[]={0.02,0.2,0.04,0.03};
 duv[1]=new duvar("DD",d1,L1,"K");
 // duvar 2 Tavan (duvar 2)
 // 0.1 m camyünü
 // 0.12 m donatılı beton
 // 0.02 m ç sıva
 String d2[]={"10.5.2","5.1.1","4.1.1"};
 double L2[]={0.1,0.12,0.02};
 duv[2]=new duvar("TA",d2,L2,"K");
 // duvar 3 Tavan (üzeri açık)
 // 0.002 m alçı sıva
 // 0.008 m alçı karton plaka
 // 0.12 m betonarme
 // 0.06 m ısı yalıtım malzemesi
 // 0.02 m şap
 // 0.01 m mozaik(mermer)
 String d3[]={"4.3.2","6.5","5.5.10","10.5.2","4.1.3","1.1.2"};
 double L3[]={0.002,0.008,0.12,0.06,0.02,0.01};
 duv[3]=new duvar("TA",d3,L3,"K"); 
 // Taban (duvar 4)
 // 0.03 m iç sıva
 // 0.03 m ekstrude polistren ısı yalıtım levhası
 // 0.12 m donatılı beton
 // 0.02 m dış sıva
 String d4[]={"4.1.1","10.3.3.1.1","5.1.1","2.1.1"};
 double L4[]={0.03,0.03,0.12,0.02};
 duv[4]=new duvar("DO",d4,L4,"K");
 // Duvar 5
 // 0.02 m iç sıva
 // 0.19 m yatay delikli tuğla
 // 0.05 m hava tabakası (dikey)
 // 0.03 m dış sıva
 String d5[]={"4.1.1","7.1.5.5","11.1","4.1.3"};
 double L5[]={0.02,0.19,0.05,0.03};
 duv[5]=new duvar("DD",d5,L5,"K");
 // Duvar 6
 // 0.02 m iç sıva
 // 0.19 m yatay delikli tuğla
 // 0.03 m dış sıva
 String d6[]={"5.2.1.8","7.1.3.1.9","4.4.1"};
 double L6[]={0.02,0.19,0.008};
 duv[6]=new duvar("DD",d6,L6,"K");
 // Duvar 7
 // 0.02 m iç sıva
 // 0.19 m yatay delikli tuğla
 // 0.04 m ısı yalıtım malzemesi
 // 0.008 m dış sıva
 String d7[]={"5.2.1.8","7.1.3.1.4","10.2.1.1","4.4.1"};
 double L7[]={0.02,0.24,0.05,0.008};
 duv[7]=new duvar("DD",d7,L7,"K"); 
 // Duvar 8
 // 0.02 m iç sıva
 // 0.25 m betonarme
 // 0.04 m ısı yalıtım malzemesi
 // 0.008 m dış sıva
 String d8[]={"5.2.1.8","5.5.10","10.2.1.1","4.4.1"};
 double L8[]={0.02,0.24,0.05,0.008};
 duv[8]=new duvar("DD",d8,L8,"K");
 //Duvar 9
 // 0.02 m iç sıva
 // 0.15 m yatay delikli tuğla 
 // 0.03 m dış sıva
 String d9[]={"4.1.1","7.1.5.5","4.1.3"};
 double L9[]={0.02,0.15,0.03};
 duv[9]=new duvar("DD",d9,L9,"K");
 //Duvar 10
 // 0.02 m iç sıva
 // 0.10 m yatay delikli tuğla 
 // 0.02 m dış sıva
 String d10[]={"4.1.1","7.1.5.5","4.1.3"};
 double L10[]={0.02,0.10,0.02};
 duv[10]=new duvar("DD",d10,L10,"K");
 // Duvar 11
 // 0.02 m iç sıva  
 // 0.05 m donatılı beton
 // 0.03 m dış sıva
 String d11[]={"4.1.1","5.1.1","4.1.3"};
 double L11[]={0.02,0.05,0.03};
 duv[11]=new duvar("DD",d11,L11,"K");
 
   
 pen[0]=new pencere("TP",0,1);
 pen[1]=new pencere("TP",1,1);
 pen[2]=new pencere("TP",2,1);
 pen[3]=new pencere("TP",3,1);
 pen[4]=new pencere("TP",4,1);
 pen[5]=new pencere("TP",5,1);
 pen[6]=new pencere("TP",6,1);
 pen[7]=new pencere("ÇCP",0,6);
 pen[8]=new pencere("ÇCP",0,9);
 pen[9]=new pencere("ÇCP",0,12);
 pen[10]=new pencere("ÇCP",0,16);
 pen[11]=new pencere("ÇCP",1,6);
 pen[12]=new pencere("ÇCP",1,9);
 pen[13]=new pencere("ÇCP",1,12);
 pen[14]=new pencere("ÇCP",1,16);
 pen[15]=new pencere("ÇCP",2,6);
 pen[16]=new pencere("ÇCP",2,9);
 pen[17]=new pencere("ÇCP",2,12);
 pen[18]=new pencere("ÇCP",2,16); 
 pen[19]=new pencere("ÇCP",3,6);
 pen[20]=new pencere("ÇCP",3,9);
 pen[21]=new pencere("ÇCP",3,12);
 pen[22]=new pencere("ÇCP",3,16); 
 pen[23]=new pencere("ÇCP",4,6);
 pen[24]=new pencere("ÇCP",4,9);
 pen[25]=new pencere("ÇCP",4,12);
 pen[26]=new pencere("ÇCP",4,16);
 pen[27]=new pencere("ÇCP",5,6);
 pen[28]=new pencere("ÇCP",5,9);
 pen[29]=new pencere("ÇCP",5,12);
 pen[30]=new pencere("ÇCP",5,16);
 pen[31]=new pencere("ÇCP",6,6);
 pen[32]=new pencere("ÇCP",6,9);
 pen[33]=new pencere("ÇCP",6,12);
 pen[34]=new pencere("ÇCP",6,16); 
 pen[35]=new pencere("ÇCPLE",0,6);
 pen[36]=new pencere("ÇCPLE",0,9);
 pen[37]=new pencere("ÇCPLE",0,12);
 pen[38]=new pencere("ÇCPLE",0,16);
 pen[39]=new pencere("ÇCPLE",1,6);
 pen[40]=new pencere("ÇCPLE",1,9);
 pen[41]=new pencere("ÇCPLE",1,12);
 pen[42]=new pencere("ÇCPLE",1,16); 
 pen[43]=new pencere("ÇCPLE",2,6);
 pen[44]=new pencere("ÇCPLE",2,9);
 pen[45]=new pencere("ÇCPLE",2,12);
 pen[46]=new pencere("ÇCPLE",2,16); 
 pen[47]=new pencere("ÇCPLE",3,6);
 pen[48]=new pencere("ÇCPLE",3,9);
 pen[49]=new pencere("ÇCPLE",3,12);
 pen[50]=new pencere("ÇCPLE",3,16); 
 pen[51]=new pencere("ÇCPLE",4,6);
 pen[52]=new pencere("ÇCPLE",4,9);
 pen[53]=new pencere("ÇCPLE",4,12);
 pen[54]=new pencere("ÇCPLE",4,16);
 pen[55]=new pencere("ÇCPLE",5,6);
 pen[56]=new pencere("ÇCPLE",5,9);
 pen[57]=new pencere("ÇCPLE",5,12);
 pen[58]=new pencere("ÇCPLE",5,16);
 pen[59]=new pencere("ÇCPLE",6,6);
 pen[60]=new pencere("ÇCPLE",6,9);
 pen[61]=new pencere("ÇCPLE",6,12);
 pen[62]=new pencere("ÇCPLE",6,16);
 for(int i=0;i<15;i++) 
 {kap[i]=new kapi(i);} 
}

public static void main(String arg[])
{   oda d=new oda();
    for(int i=0;i<9;i++)
	{System.out.println(d.duv[i].toString()+"\n\n");}

	for(int i=0;i<63;i++)
	{System.out.println("U["+i+"] pencere ="+d.pen[i].U);}
	
	for(int i=0;i<14;i++)
	{System.out.println("U["+i+"] kapı="+d.kap[i].U);}	
	}
}